# $Revision: 1.11 $, $Date: 2003/12/13 11:54:56 $
Summary:	LADSPA SDK example plugins
Summary(pl):	Przykadowe wtyczki z LADSPA SDK
Name:		ladspa
Version:	1.12
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://www.ladspa.org/download/%{name}_sdk_%{version}.tgz
# Source0-md5: dbd63dd701d80b152943073c84565c14
Patch0:		%{name}-mkdirhier.patch
URL:		http://www.ladspa.org/
BuildRequires:	perl
BuildRequires:	libstdc++-devel
Requires:	%{name}-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

This package contains the example plugins from the LADSPA SDK.

%description -l pl
Istnieje wiele pakietw do syntezy uywanych lub rozwijanych na
platformie linuksowej. LADSPA (Linux Audio Developer's Simple Plugin
API - proste API wtyczek dla programistw dwiku pod Linuksem) to
prba udostpnienia programistom moliwoci pisania prostych "wtyczek"
procesorw dwiku w C/C++ i ich dynamicznej konsolidacji z wieloma
aplikacjami.

Ten pakiet zawiera przykadowe wtyczki z LADSPA SDK.

%package common
Summary:	Common environment for LADSPA plugins
Summary(pl):	rodowisko wsplne dla wtyczek LADSPA
Group:		Libraries

%description common
Common environment for LADSPA plugins. Currently it contains only
appropriate directory trees.

%description common -l pl
rodowisko wsplne dla wtyczek LADSPA. Aktualnie zawiera tylko
odpowiednie drzewa katalogw.

%package devel
Summary:	Linux Audio Developer's Simple Plugin API
Summary(pl):	Pakiet programistyczny LADSPA (Linux Audio Developer's Simple Plugin API)
Group:		Development/Libraries
# doesn't require base or common

%description devel
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

Definitive technical documentation on LADSPA plugins for both the host
and plugin is contained within copious comments within the ladspa.h
header file.

%description devel -l pl
Istnieje wiele pakietw do syntezy uywanych lub rozwijanych na
platformie linuksowej. LADSPA (Linux Audio Developer's Simple Plugin
API - proste API wtyczek dla programistw dwiku pod Linuksem) to
prba udostpnienia programistom moliwoci pisania prostych "wtyczek"
procesorw dwiku w C/C++ i ich dynamicznej konsolidacji z wieloma
aplikacjami.

Techniczna dokumentacja do wtyczek LADSPA dotyczca zarwno samych
wtyczek jak i korzystania z nich w programach znajduje si w
komentarzach pliku nagwkowego ladspa.h.

%prep
%setup -q -n %{name}_sdk
%patch0 -p1
cd doc
#fix links to the header file in the docs
perl -pi -e "s!HREF=\"ladspa.h.txt\"!href=\"file:///usr/include/ladspa.h\"!" *.html

%build
%{__make} -C src targets \
	CC="%{__cc}" CPP="%{__cxx}" \
	CFLAGS="-I. -Wall -Werror %{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/ladspa/rdf

%{__make} -C src install \
	MKDIRHIER=/usr/lib/rpm/mkinstalldirs \
	INSTALL_PLUGINS_DIR=$RPM_BUILD_ROOT%{_libdir}/ladspa \
	INSTALL_INCLUDE_DIR=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_BINARY_DIR=$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/ladspa/*.so

%files common
%defattr(644,root,root,755)
%dir %{_libdir}/ladspa
%dir %{_datadir}/ladspa
%dir %{_datadir}/ladspa/rdf

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%{_includedir}/ladspa.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ladspa.spec,v $
Revision 1.11  2003/12/13 11:54:56  tiwek
- added missing BR

Revision 1.10  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.9  2003/07/14 20:44:22  qboosh
- added common package - environment for all LADSPA plugins; release 3

Revision 1.8  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.7  2003/05/25 05:49:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/27 10:16:18  qboosh
- -devel doesn't R: base

Revision 1.5  2003/02/05 13:21:11  wiget
- use mkinstalldirs (from rpm-build) not mkdirhier (from XFree86)
- release 2

Revision 1.4  2003/01/27 15:21:12  wrobell
- fixed file list

Revision 1.3  2003/01/26 19:04:45  qboosh
- removed COPYING from doc (just LGPL)
- use proper CC and CFLAGS

Revision 1.2  2003/01/26 14:33:11  qboosh
- pl description

Revision 1.1  2003/01/24 16:47:16  aflinta
- PLD initial release
